#pragma once

#include <chrono>
#include <optional>
#include <string>

namespace maps::mrc::common {

std::string load(
        const std::string& url,
        std::chrono::seconds timeout=std::chrono::seconds(60),
        size_t tryN=3);

} // namespace maps::mrc::common